package com.yeejoin.amos.boot.module.hygf.api.config;

/**
 * @description:
 *     //权限，字段名称，多个逗号隔开(Field1,Field2)
 *     String field() default "";
 *     //字段运算符( in,like,likeLeft,likeRight,eq)
 *     String fieldConditions() default "";
 *     //多个条件之间关系（or,and）
 *     String relationship() default "";
 * @author: tw
 * @createDate: 2023/11/9
 */

import java.lang.annotation.*;

@Target({ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface UserEmpower {
    /**
     * @param 字段名称(Field1,Field2)
     */
    String[] field();
    /**
     * @param 经销商字段(Field1,Field2)
     */
    String[] dealerField() default {};
    /**
     * @param 每个字段运算符( in,like,likeLeft,likeRight,eq)
     */
    String[] fieldConditions() ;
    /**
     * @param 多个字段之间关系（or,and）
     */
    String[] relationship();

    /**
     * @param 是否特有（or,and）
     */
    boolean specific() default true;
}

